import fs from 'fs';
import path from 'path';

export const events = fs.readFileSync(path.join(__dirname, 'events.gql'), 'utf8');
export const eventsInRange = fs.readFileSync(path.join(__dirname, 'eventsInRange.gql'), 'utf8');
export const token = fs.readFileSync(path.join(__dirname, 'token.gql'), 'utf8');
export const tokens = fs.readFileSync(path.join(__dirname, 'tokens.gql'), 'utf8');
export const poolFactory = fs.readFileSync(path.join(__dirname, 'poolFactory.gql'), 'utf8');
export const poolFactories = fs.readFileSync(path.join(__dirname, 'poolFactories.gql'), 'utf8');
export const pool = fs.readFileSync(path.join(__dirname, 'pool.gql'), 'utf8');
export const pools = fs.readFileSync(path.join(__dirname, 'pools.gql'), 'utf8');
export const bucket = fs.readFileSync(path.join(__dirname, 'bucket.gql'), 'utf8');
export const buckets = fs.readFileSync(path.join(__dirname, 'buckets.gql'), 'utf8');
export const lend = fs.readFileSync(path.join(__dirname, 'lend.gql'), 'utf8');
export const lends = fs.readFileSync(path.join(__dirname, 'lends.gql'), 'utf8');
export const loan = fs.readFileSync(path.join(__dirname, 'loan.gql'), 'utf8');
export const loans = fs.readFileSync(path.join(__dirname, 'loans.gql'), 'utf8');
export const account = fs.readFileSync(path.join(__dirname, 'account.gql'), 'utf8');
export const accounts = fs.readFileSync(path.join(__dirname, 'accounts.gql'), 'utf8');
export const liquidationAuction = fs.readFileSync(path.join(__dirname, 'liquidationAuction.gql'), 'utf8');
export const liquidationAuctions = fs.readFileSync(path.join(__dirname, 'liquidationAuctions.gql'), 'utf8');
export const reserveAuction = fs.readFileSync(path.join(__dirname, 'reserveAuction.gql'), 'utf8');
export const reserveAuctions = fs.readFileSync(path.join(__dirname, 'reserveAuctions.gql'), 'utf8');
export const lptransferorList = fs.readFileSync(path.join(__dirname, 'lptransferorList.gql'), 'utf8');
export const lptransferorLists = fs.readFileSync(path.join(__dirname, 'lptransferorLists.gql'), 'utf8');
export const lpallowance = fs.readFileSync(path.join(__dirname, 'lpallowance.gql'), 'utf8');
export const lpallowances = fs.readFileSync(path.join(__dirname, 'lpallowances.gql'), 'utf8');
export const lpallowanceList = fs.readFileSync(path.join(__dirname, 'lpallowanceList.gql'), 'utf8');
export const lpallowanceLists = fs.readFileSync(path.join(__dirname, 'lpallowanceLists.gql'), 'utf8');
export const addCollateral = fs.readFileSync(path.join(__dirname, 'addCollateral.gql'), 'utf8');
export const addCollaterals = fs.readFileSync(path.join(__dirname, 'addCollaterals.gql'), 'utf8');
export const addQuoteToken = fs.readFileSync(path.join(__dirname, 'addQuoteToken.gql'), 'utf8');
export const addQuoteTokens = fs.readFileSync(path.join(__dirname, 'addQuoteTokens.gql'), 'utf8');
export const auctionSettle = fs.readFileSync(path.join(__dirname, 'auctionSettle.gql'), 'utf8');
export const auctionSettles = fs.readFileSync(path.join(__dirname, 'auctionSettles.gql'), 'utf8');
export const bondWithdrawn = fs.readFileSync(path.join(__dirname, 'bondWithdrawn.gql'), 'utf8');
export const bondWithdrawns = fs.readFileSync(path.join(__dirname, 'bondWithdrawns.gql'), 'utf8');
export const bucketBankruptcy = fs.readFileSync(path.join(__dirname, 'bucketBankruptcy.gql'), 'utf8');
export const bucketBankruptcies = fs.readFileSync(path.join(__dirname, 'bucketBankruptcies.gql'), 'utf8');
export const bucketTake = fs.readFileSync(path.join(__dirname, 'bucketTake.gql'), 'utf8');
export const bucketTakes = fs.readFileSync(path.join(__dirname, 'bucketTakes.gql'), 'utf8');
export const bucketTakeLPAwarded = fs.readFileSync(path.join(__dirname, 'bucketTakeLPAwarded.gql'), 'utf8');
export const bucketTakeLPAwardeds = fs.readFileSync(path.join(__dirname, 'bucketTakeLPAwardeds.gql'), 'utf8');
export const drawDebt = fs.readFileSync(path.join(__dirname, 'drawDebt.gql'), 'utf8');
export const drawDebts = fs.readFileSync(path.join(__dirname, 'drawDebts.gql'), 'utf8');
export const flashloan = fs.readFileSync(path.join(__dirname, 'flashloan.gql'), 'utf8');
export const flashloans = fs.readFileSync(path.join(__dirname, 'flashloans.gql'), 'utf8');
export const kick = fs.readFileSync(path.join(__dirname, 'kick.gql'), 'utf8');
export const kicks = fs.readFileSync(path.join(__dirname, 'kicks.gql'), 'utf8');
export const loanStamped = fs.readFileSync(path.join(__dirname, 'loanStamped.gql'), 'utf8');
export const loanStampeds = fs.readFileSync(path.join(__dirname, 'loanStampeds.gql'), 'utf8');
export const moveQuoteToken = fs.readFileSync(path.join(__dirname, 'moveQuoteToken.gql'), 'utf8');
export const moveQuoteTokens = fs.readFileSync(path.join(__dirname, 'moveQuoteTokens.gql'), 'utf8');
export const removeCollateral = fs.readFileSync(path.join(__dirname, 'removeCollateral.gql'), 'utf8');
export const removeCollaterals = fs.readFileSync(path.join(__dirname, 'removeCollaterals.gql'), 'utf8');
export const removeQuoteToken = fs.readFileSync(path.join(__dirname, 'removeQuoteToken.gql'), 'utf8');
export const removeQuoteTokens = fs.readFileSync(path.join(__dirname, 'removeQuoteTokens.gql'), 'utf8');
export const repayDebt = fs.readFileSync(path.join(__dirname, 'repayDebt.gql'), 'utf8');
export const repayDebts = fs.readFileSync(path.join(__dirname, 'repayDebts.gql'), 'utf8');
export const reserveAuctionKick = fs.readFileSync(path.join(__dirname, 'reserveAuctionKick.gql'), 'utf8');
export const reserveAuctionKicks = fs.readFileSync(path.join(__dirname, 'reserveAuctionKicks.gql'), 'utf8');
export const reserveAuctionTake = fs.readFileSync(path.join(__dirname, 'reserveAuctionTake.gql'), 'utf8');
export const reserveAuctionTakes = fs.readFileSync(path.join(__dirname, 'reserveAuctionTakes.gql'), 'utf8');
export const resetInterestRate = fs.readFileSync(path.join(__dirname, 'resetInterestRate.gql'), 'utf8');
export const resetInterestRates = fs.readFileSync(path.join(__dirname, 'resetInterestRates.gql'), 'utf8');
export const settle = fs.readFileSync(path.join(__dirname, 'settle.gql'), 'utf8');
export const settles = fs.readFileSync(path.join(__dirname, 'settles.gql'), 'utf8');
export const take = fs.readFileSync(path.join(__dirname, 'take.gql'), 'utf8');
export const takes = fs.readFileSync(path.join(__dirname, 'takes.gql'), 'utf8');
export const transferLP = fs.readFileSync(path.join(__dirname, 'transferLP.gql'), 'utf8');
export const transferLPS = fs.readFileSync(path.join(__dirname, 'transferLPS.gql'), 'utf8');
export const updateInterestRate = fs.readFileSync(path.join(__dirname, 'updateInterestRate.gql'), 'utf8');
export const updateInterestRates = fs.readFileSync(path.join(__dirname, 'updateInterestRates.gql'), 'utf8');
export const approval = fs.readFileSync(path.join(__dirname, 'approval.gql'), 'utf8');
export const approvals = fs.readFileSync(path.join(__dirname, 'approvals.gql'), 'utf8');
export const approvalForAll = fs.readFileSync(path.join(__dirname, 'approvalForAll.gql'), 'utf8');
export const approvalForAlls = fs.readFileSync(path.join(__dirname, 'approvalForAlls.gql'), 'utf8');
export const moveLiquidity = fs.readFileSync(path.join(__dirname, 'moveLiquidity.gql'), 'utf8');
export const moveLiquidities = fs.readFileSync(path.join(__dirname, 'moveLiquidities.gql'), 'utf8');
export const transfer = fs.readFileSync(path.join(__dirname, 'transfer.gql'), 'utf8');
export const transfers = fs.readFileSync(path.join(__dirname, 'transfers.gql'), 'utf8');
export const poolCreated = fs.readFileSync(path.join(__dirname, 'poolCreated.gql'), 'utf8');
export const poolCreateds = fs.readFileSync(path.join(__dirname, 'poolCreateds.gql'), 'utf8');
export const addCollateralNFT = fs.readFileSync(path.join(__dirname, 'addCollateralNFT.gql'), 'utf8');
export const addCollateralNFTS = fs.readFileSync(path.join(__dirname, 'addCollateralNFTS.gql'), 'utf8');
export const auctionNFTSettle = fs.readFileSync(path.join(__dirname, 'auctionNFTSettle.gql'), 'utf8');
export const auctionNFTSettles = fs.readFileSync(path.join(__dirname, 'auctionNFTSettles.gql'), 'utf8');
export const drawDebtNFT = fs.readFileSync(path.join(__dirname, 'drawDebtNFT.gql'), 'utf8');
export const drawDebtNFTS = fs.readFileSync(path.join(__dirname, 'drawDebtNFTS.gql'), 'utf8');
export const mergeOrRemoveCollateralNFT = fs.readFileSync(path.join(__dirname, 'mergeOrRemoveCollateralNFT.gql'), 'utf8');
export const mergeOrRemoveCollateralNFTS = fs.readFileSync(path.join(__dirname, 'mergeOrRemoveCollateralNFTS.gql'), 'utf8');
export const position = fs.readFileSync(path.join(__dirname, 'position.gql'), 'utf8');
export const positions = fs.readFileSync(path.join(__dirname, 'positions.gql'), 'utf8');
export const positionLend = fs.readFileSync(path.join(__dirname, 'positionLend.gql'), 'utf8');
export const positionLends = fs.readFileSync(path.join(__dirname, 'positionLends.gql'), 'utf8');
export const burn = fs.readFileSync(path.join(__dirname, 'burn.gql'), 'utf8');
export const burns = fs.readFileSync(path.join(__dirname, 'burns.gql'), 'utf8');
export const memorializePosition = fs.readFileSync(path.join(__dirname, 'memorializePosition.gql'), 'utf8');
export const memorializePositions = fs.readFileSync(path.join(__dirname, 'memorializePositions.gql'), 'utf8');
export const mint = fs.readFileSync(path.join(__dirname, 'mint.gql'), 'utf8');
export const mints = fs.readFileSync(path.join(__dirname, 'mints.gql'), 'utf8');
export const redeemPosition = fs.readFileSync(path.join(__dirname, 'redeemPosition.gql'), 'utf8');
export const redeemPositions = fs.readFileSync(path.join(__dirname, 'redeemPositions.gql'), 'utf8');
export const grantFund = fs.readFileSync(path.join(__dirname, 'grantFund.gql'), 'utf8');
export const grantFunds = fs.readFileSync(path.join(__dirname, 'grantFunds.gql'), 'utf8');
export const distributionPeriod = fs.readFileSync(path.join(__dirname, 'distributionPeriod.gql'), 'utf8');
export const distributionPeriods = fs.readFileSync(path.join(__dirname, 'distributionPeriods.gql'), 'utf8');
export const proposal = fs.readFileSync(path.join(__dirname, 'proposal.gql'), 'utf8');
export const proposals = fs.readFileSync(path.join(__dirname, 'proposals.gql'), 'utf8');
export const proposalParams = fs.readFileSync(path.join(__dirname, 'proposalParams.gql'), 'utf8');
export const proposalParamss = fs.readFileSync(path.join(__dirname, 'proposalParamss.gql'), 'utf8');
export const distributionPeriodVote = fs.readFileSync(path.join(__dirname, 'distributionPeriodVote.gql'), 'utf8');
export const distributionPeriodVotes = fs.readFileSync(path.join(__dirname, 'distributionPeriodVotes.gql'), 'utf8');
export const screeningVote = fs.readFileSync(path.join(__dirname, 'screeningVote.gql'), 'utf8');
export const screeningVotes = fs.readFileSync(path.join(__dirname, 'screeningVotes.gql'), 'utf8');
export const fundingVote = fs.readFileSync(path.join(__dirname, 'fundingVote.gql'), 'utf8');
export const fundingVotes = fs.readFileSync(path.join(__dirname, 'fundingVotes.gql'), 'utf8');
export const fundedSlate = fs.readFileSync(path.join(__dirname, 'fundedSlate.gql'), 'utf8');
export const fundedSlates = fs.readFileSync(path.join(__dirname, 'fundedSlates.gql'), 'utf8');
export const delegateRewardClaimed = fs.readFileSync(path.join(__dirname, 'delegateRewardClaimed.gql'), 'utf8');
export const delegateRewardClaimeds = fs.readFileSync(path.join(__dirname, 'delegateRewardClaimeds.gql'), 'utf8');
export const fundTreasury = fs.readFileSync(path.join(__dirname, 'fundTreasury.gql'), 'utf8');
export const fundTreasuries = fs.readFileSync(path.join(__dirname, 'fundTreasuries.gql'), 'utf8');
export const fundedSlateUpdated = fs.readFileSync(path.join(__dirname, 'fundedSlateUpdated.gql'), 'utf8');
export const fundedSlateUpdateds = fs.readFileSync(path.join(__dirname, 'fundedSlateUpdateds.gql'), 'utf8');
export const proposalCreated = fs.readFileSync(path.join(__dirname, 'proposalCreated.gql'), 'utf8');
export const proposalCreateds = fs.readFileSync(path.join(__dirname, 'proposalCreateds.gql'), 'utf8');
export const proposalExecuted = fs.readFileSync(path.join(__dirname, 'proposalExecuted.gql'), 'utf8');
export const proposalExecuteds = fs.readFileSync(path.join(__dirname, 'proposalExecuteds.gql'), 'utf8');
export const distributionPeriodStarted = fs.readFileSync(path.join(__dirname, 'distributionPeriodStarted.gql'), 'utf8');
export const distributionPeriodStarteds = fs.readFileSync(path.join(__dirname, 'distributionPeriodStarteds.gql'), 'utf8');
export const voteCast = fs.readFileSync(path.join(__dirname, 'voteCast.gql'), 'utf8');
export const voteCasts = fs.readFileSync(path.join(__dirname, 'voteCasts.gql'), 'utf8');
export const delegateChanged = fs.readFileSync(path.join(__dirname, 'delegateChanged.gql'), 'utf8');
export const delegateChangeds = fs.readFileSync(path.join(__dirname, 'delegateChangeds.gql'), 'utf8');
export const delegateVotesChanged = fs.readFileSync(path.join(__dirname, 'delegateVotesChanged.gql'), 'utf8');
export const delegateVotesChangeds = fs.readFileSync(path.join(__dirname, 'delegateVotesChangeds.gql'), 'utf8');
export const burnWrap = fs.readFileSync(path.join(__dirname, 'burnWrap.gql'), 'utf8');
export const burnWraps = fs.readFileSync(path.join(__dirname, 'burnWraps.gql'), 'utf8');
export const _meta = fs.readFileSync(path.join(__dirname, '_meta.gql'), 'utf8');
export const getStateByCID = fs.readFileSync(path.join(__dirname, 'getStateByCID.gql'), 'utf8');
export const getState = fs.readFileSync(path.join(__dirname, 'getState.gql'), 'utf8');
export const getSyncStatus = fs.readFileSync(path.join(__dirname, 'getSyncStatus.gql'), 'utf8');
